fileeval /data/jschefer/sbn/sbn.ub
opti clear
opti countmode monitor
opti preset 5000
opti threshold 50
opti addvar om .1 30 .2
opti preset 5000
opti addvar stt .15 29 .3
opti addvar ch 0.9  17 .9
opti addvar om .05 25 .1
set ret [catch {opti run} msg]
if {$ret != 0 } {
   error $msg
} 
set txt [om]
set l [split $txt =]
set tom [lindex $l 1]
set txt [stt]
set l [split $txt =]
set tstt [lindex $l 1]
set txt [ch]
set l [split $txt =]
set tch [lindex $l 1]
set txt [ph]
set l [split $txt =]
set tph [lindex $l 1]
ClientPut "Two-Theta Omega     Chi        Phi"
ClientPut [format "%-10.2f%-10.2f%-10.2f%-10.2f" $tstt $tom $tch $tph]
rliste store
liste write q.q
set ttom [string trim $tom]
scan mode monitor 
clientput " ***  centering ------final omega scan ------------------"
cscan om $ttom 0.04 20 5678



